# eth\_getTransactionCount

If eth\_getTransactionCount is submitted with the "pending" param Blink will intercept the call, check its data for any transactions in the last 24 seconds (2 blocks) and return the highest nonce we have received.

All calls with "latest" or "earliest" will be forwarded onto an Ethereum node.

This endpoint is default disabled as it isn't relevant for most originators, it can be enabled for your custom endpoint.

### Example request

```
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "eth_getTransactionCount",
  "params": [
    "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97",
    "pending"
  ]
}
```

### Example response

```
{
   "id" : 1,
   "jsonrpc" : "2.0",
   "result" : "0x31"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blinklabs.xyz/blink/ethereum/api-reference/eth_gettransactioncount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
